Subject: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Feb 2025 00:20:40 -0500

> The idea is that you add code to detect the change at the OS level,
> and then create an event of type sleep-event with an argument of t for
> sleep and nil for wake.  The lisp package detects the sleep-event and
> runs the appropriate code.

BTW: I understand what a "wake" event means, but what about
a "sleep" event?  I mean: how can we receive this event before we wake
up again?  Or does it mean that we're about to sleep?  If so what do we
know about when we'll sleep?  Can we influence (e.g. delay) it?

        Stefan